Subject: Re: [RFC] Rework of i2c-mpc.c - Freescale i2c driver

From: Matt Sealey <[email-masked]>
Date: Tue, 06 Nov 2007 21:06:11 +0000

Jean Delvare wrote:
> Hi Matt,
>
>> WRT cell-index this is an index of the bus on the chip (not the logical
>> i2c bus but the physical difference between two i2c controllers) and
>> then any i2c devices which need to be communicated with would be
>> child nodes, their reg property reflecting their slave address, is
>> that not correct?
> 
> I am not familiar with the OF tree, I can't tell, sorry.
> 

Well, it's how board designers tell you what chip is at what address :)

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations